Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto
Interface BasicAgreement

All Known Implementing Classes:
  DHBasicAgreement, ECDHBasicAgreement, ECDHCBasicAgreement, ECMQVBasicAgreement

    public interface BasicAgreement

The basic interface that basic Diffie-Hellman implementations conforms to.

Method Summary
`java.math.BigInteger` `calculateAgreement(CipherParameters pubKey)` given a public key from a given party calculate the next message in the agreement sequence.
`void` `init(CipherParameters param)` initialise the agreement engine.

Method Detail

### init

    void init(CipherParameters param)

  initialise the agreement engine.

### calculateAgreement

    java.math.BigInteger calculateAgreement(CipherParameters pubKey)

  given a public key from a given party calculate the next message in the agreement sequence.

Bouncy Castle Cryptography Library 1.45